// Learning Processing
// Daniel Shiffman
// http://www.learningprocessing.com

// Example 18-2: Graphing comma separated numbers from a text file

float[][] data;
//float theta=0.0;

void setup() {
  size(800, 400);
  // The text from the file is loaded into an array. 
  String[] stuff = loadStrings("data2.txt");
  
  data = new float[stuff.length][4];

  for(int i=0;i<stuff.length;i++){
   data[i] = float(split(stuff[i], ',' )); 
  }
  

  //println(data[stuff.length-2][3]);
}

  void draw() {

    background(255);
    stroke(0);
    for(int i=0; i<data.length; i++){
      //position
      float x_raw=data[i][1]+180;
      float y_raw=data[i][0]+90;
      float x=width*(x_raw/360);
      float y=height*(y_raw/180);
      
      //size
      float circ_wid=(data[i][2]/5.6)*20;
      
      
      //translate(0,0,data[i][3]/607);
      ellipse(x,y,circ_wid,circ_wid);
       
     }
 
  
  }

