import processing.opengl.*;

// Learning Processing
// Daniel Shiffman
// http://www.learningprocessing.com

// Example 18-2: Graphing comma separated numbers from a text file

String[][] data;
float theta=0.0;
float z = -2500;
void setup() {
  size(800, 400, OPENGL);
  // The text from the file is loaded into an array. 
  String[] stuff = loadStrings("data4.txt");
  
  data = new String[stuff.length][5];

  for(int i=0;i<stuff.length;i++){
   data[i] = split(stuff[i], ',' ); 
  }
  
  textSize(20);
  //println(data[stuff.length-2][3]);
}

  void draw() {
    smooth();
    
    translate(0,0,z-theta);
    //rotateY(.1);
    //rectMode(CENTER);
    //rotateX(.1);
    //rotateY(PI*mouseX/width);
    //rotateX(PI*mouseY/height);
    background(255);
    stroke(0);
    for(int i=0; i<data.length; i++){
      //position
      float x_raw=float(data[i][2])+180;
      float y_raw=float(data[i][1])+90;
      float x=width*(x_raw/360);
      float y=height*(y_raw/180);
      
      //size
      float circ_wid=(float(data[i][3])/5.6)*50;
      translate(0,0,(float(data[i][4])/607)*50);
      ellipse(x,y,circ_wid,circ_wid);
      fill(0);
      text(data[i][0],x,y); 
      fill(255);
     }
   theta-=10; 
  
  }

