// Learning Processing
// Daniel Shiffman
// http://www.learningprocessing.com

// Example 9-9: An array of Car objects


// The Car class does not change whether we are making one car, 100 cars or 1,000 cars!
class Car { 
  color c;
  float xpos;
  float ypos;
  float zpos;
  float diam;

  Car(color c_, float xpos_, float ypos_, float zpos_, float diam_) {
    c = c_;
    xpos = xpos_;
    ypos = ypos_;
    zpos = zpos_;
    diam = diam_;
  }

  void display() {
    ellipseMode(CENTER);
    stroke(0);
    fill(c);
    translate(0, 0, zpos);
    ellipse(xpos, ypos, diam, diam);
  }

  void move() {
    xpos = xpos + 1;
    if (xpos > width) {
      xpos = 0;
    }
  }
}

