import processing.opengl.*;

// Learning Processing
// Daniel Shiffman
// http://www.learningprocessing.com

// Example 9-9: An array of Car objects

Car[] cars; // An array of 100 Car objects!
String[][] data;
float theta=0.0;
float z = -1000;

void setup() {
  size(800,400,OPENGL);
  smooth();

  // The text from the file is loaded into an array. 
  String[] stuff = loadStrings("data2.txt");
  cars=new Car[stuff.length];
  data = new String[stuff.length][4];

  for (int i=0;i<stuff.length;i++) {
    data[i] = split(stuff[i], ',' ); 
    float x_raw=float(data[i][1])+180;
    float y_raw=float(data[i][0])+90;
    float x=(x_raw/360)*width;
    float y=(y_raw/180)*height;
    float circ_wid=(float(data[i][2])/5.6)*50;
    cars[i] = new Car(color(i*2),x,y,(float(data[i][3])/607)*50,circ_wid);
    textSize(20);
  }
  
 
  
 
}

void draw() {
    translate(0, 0, z-theta);
  background(255);
  for (int i = 0; i < cars.length; i ++ ) { // Run each Car using a for loop.
    cars[i].move();
    cars[i].display();
  }
  
   theta-=2;
}
